$toggle-size: 35px;

.container {
  display: flex;
  align-items: center;
  background-color: transparent;
  width: 55px;
  height: $toggle-size;
  border: 2px solid white;

  text-align: center;
  text-decoration: none;
  cursor: pointer;
  border-radius: 20px;
  padding: 0px 2px;
}

.button {
  width: calc($toggle-size - 8px);
  height: calc($toggle-size - 8px);
  border-radius: 50%;
  border: 2px solid white;
}

.toggleOn {
  animation: 0.5s on cubic-bezier(0.65,-0.56, 0.3, 1.36);
  animation-fill-mode: forwards;
}

.toggleOff {
  animation: 0.5s off cubic-bezier(0.65,-0.56, 0.3, 1.36);
}

@keyframes on {
  from {
    transform: translateX(0px);
    
  }
  to {
    transform: translateX(24px);
    background-color: white;
  }
}

@keyframes off {
    from {
      transform: translateX(24px);
      background-color: white;

      
    }
    to {
      transform: translateX(0px);
      background-color: transparent;

    }
  }